Skip to main content

TLS Update Required by Box June 15, by Office 365 October 31

Related services: Box, Email for Faculty and Staff


Transport Layer Security, or TLS, is a commonly used component for Internet communications. It provides communications security over computer networks and so affects email, file sharing, instant messaging, and other networked communication interactions.

To increase the security of their services:

  • Box will require TLS 1.1 or higher starting June 15, 2018
  • Office 365 will require TLS 1.2 starting October 31, 2018

Note: Adobe Sign has been requiring TLS 1.2 since April 2018.

Old web browsers, Box or Microsoft apps, or third-party apps that don't support TLS as outlined above will stop working when the deadline is reached. To avoid this issue, update to a current version for web browsers and Box, Microsoft, and third-party products.

More information about TLS and Box.

More information about TLS and Microsoft.

Was this page helpful?

Your feedback helps improve the site.

Comments?